unit iadodata;

interface

uses
    SysUtils, Contnrs, iado;

//  ---------------------------------------------------------------------------
//  t@CێNX֘A錾
type
    TFileStatus = (fsUnknown = 0, fsNoProblem = 1, fsNeedPassword = 2, fsError = 3);
const
    S_STATUS1: array[TFileStatus] of string = ('??', 'OK', 'PS', 'NG');
    S_STATUS2: array[TFileStatus] of string = ('`FbN', 'Ȃ', 'pX[hݒ肳Ă܂', '̂悤ł');

//  ---------------------------------------------------------------------------
//  t@CێNX
type
    TMdbFile = class
    private
        FFileName: string;
        FDispName: string;
        FPassword: string;
        procedure SetPassword(const S: string);
    public
        Status  : TFileStatus;
        Msg     : string;
        constructor Create(const Path: string);

        property FileName: string read FFileName;
        property DispName: string read FDispName;
        property Password: string read FPassword write SetPassword;
    end;

var
    MdbFiles: TObjectList = nil;

implementation

//  ---------------------------------------------------------------------------
//  t@CێNXRXgN^
constructor TMdbFile.Create(const Path: string);
begin
    FFileName := Path;
    FDispName := ExtractFileName(FileName);
    FPassword := '';
    Status   := fsUnknown;
    Msg      := '';
end;

//  ---------------------------------------------------------------------------
//  pX[hݒ
procedure TMdbFile.SetPassword(const S: string);
begin
    FPassword := S;    
    Status   := fsUnknown;
    Msg      := '';
end;

initialization
    MdbFiles := TObjectList.Create(true);
finalization
    MdbFiles.Free;
end.

